This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

# Changelog for Resource Registry Publisher


## [v4.0.0] [r5.0.0] - 

- Switched JSON management to gcube-jackson [#19116]


## [v3.0.0] [r4.21.0] - 2020-03-30

- Refactored code to support IS Model reorganization (e.g naming, packages)
- Using gxREST in place of custom class of resource-registry-api [#11455]
- Refactored code to support renaming of Embedded class to Property [#13274]


## [v2.0.0] [r4.13.0] - 2018-11-20

- Using new resource-registry REST interface [#11903]


## [v1.5.0] [r4.9.0] - 2017-12-20

- Changed pom.xml to use new make-servicearchive directive [#10168]


## [v1.4.0] [r4.6.0] - 2017-07-25

- Added HTTPS support [#8757]
- Added HTTP Redirection support [#8757]


## [v1.3.0] [r4.5.0] - 2017-06-07

- Removed common-generic-clients, common-gcube-calls and common-fw-clients from dependencies
- The client is now a generic http-client (using HTTPCall class provided in API) auto-query the old is to get resource-registry instance. It is not implement as gcube-proxy anymore.
- Added exists() method which uses HEAD HTTP method to get existence from Resource Registry
- Added the method to create a relation and target entity with one call by using the new API provided from Resource Registry


## [v1.2.0] [r4.3.0] - 2017-03-16

- Added API Remove From Context
- Added ResourceRegistryException JSON deserialization


## [v1.1.0] [r4.2.0] - 2016-12-15

- Added API AddToContext
- Added API to support update Resource (with all facets)


## [v1.0.0] [r4.1.0] - 2016-11-07

- First Release

